# Class Vectors

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.AtomShape
org.jmol.shapespecial.Vectors

public class Vectors extends AtomShape

## Field Summary

### Fields inherited from class AtomShape

`bsSizeDefault, colixes, isActive, isSet, mad, mads, monomerCount, paletteIDs`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Vectors()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getProperty(String propertyName, int param)`
`protected void`
`initModelSet()`
`void`
`setProperty(String propertyName, Object value, BS bsSelected)`
`protected void`
`setSizeRD2(int i, RadiusData rd, boolean isVisible)`

### Methods inherited from class AtomShape

`checkColixLength, getShapeState, getSize, initShape, setAtomClickability, setColixAndPalette, setPropAS, setSize, setSize2, setSizeRD`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setProperties, setPropS, setShapeSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Vectors

public Vectors()

## Method Details

### initModelSet

protected void initModelSet()

Overrides:
  `initModelSet` in class `AtomShape`

### setProperty

public void setProperty(String propertyName, Object value, BS bsSelected)

Specified by:
  `setProperty` in class `Shape`

### getProperty

public Object getProperty(String propertyName, int param)

Overrides:
  `getProperty` in class `Shape`
Parameters:
  `propertyName` -
  `param` -
Returns:
  true if serviced

### setSizeRD2

protected void setSizeRD2(int i, RadiusData rd, boolean isVisible)

Overrides:
  `setSizeRD2` in class `AtomShape`